# PrimitiveRange Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveRange:
[legend]

List of all members.

## Public Member Functions

| setValue ($range)
| getMax ()
| getMin ()
| getActualMax ()
| getActualMin ()
| importSingle ($scope)
| importMarried ($scope)

## Public Attributes

const | MIN = 'min'
const | MAX = 'max'

## Private Member Functions

| checkLimits (BaseRange $range)
| safeGet ($scope, $firstDimension, $secondDimension)

## Detailed Description

Definition at line 15 of file PrimitiveRange.class.php.

## Member Function Documentation

PrimitiveRange::checkLimits | ( | BaseRange $ | range | ) | `[private]`

Definition at line 122 of file PrimitiveRange.class.php.

References BaseRange::getMax(), and BaseRange::getMin().

Referenced by importMarried(), and importSingle().

Here is the call graph for this function:

PrimitiveRange::getActualMax | ( |  | ) |

Definition at line 52 of file PrimitiveRange.class.php.

References BasePrimitive::getActualValue().

Here is the call graph for this function:

PrimitiveRange::getActualMin | ( |  | ) |

Definition at line 60 of file PrimitiveRange.class.php.

References BasePrimitive::getActualValue().

Here is the call graph for this function:

PrimitiveRange::getMax | ( |  | ) |

Reimplemented from RangedPrimitive.

Definition at line 36 of file PrimitiveRange.class.php.

PrimitiveRange::getMin | ( |  | ) |

Reimplemented from RangedPrimitive.

Definition at line 44 of file PrimitiveRange.class.php.

PrimitiveRange::importMarried | ( | $ | scope | ) |

Reimplemented from ComplexPrimitive.

Definition at line 95 of file PrimitiveRange.class.php.

References checkLimits(), BaseRange::lazyCreate(), and safeGet().

Here is the call graph for this function:

PrimitiveRange::importSingle | ( | $ | scope | ) |

Reimplemented from ComplexPrimitive.

Definition at line 68 of file PrimitiveRange.class.php.

References checkLimits(), ArrayUtils::getArrayVar(), BasePrimitive::import(), and BaseRange::lazyCreate().

Here is the call graph for this function:

PrimitiveRange::safeGet | ( | $ | scope,
|  | $ | firstDimension,
|  | $ | secondDimension |
| ) |  |  | `[private]`

Definition at line 140 of file PrimitiveRange.class.php.

Referenced by importMarried().

PrimitiveRange::setValue | ( | $ | range | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitiveRange

Reimplemented from BasePrimitive.

Definition at line 24 of file PrimitiveRange.class.php.

References Assert::isTrue().

Here is the call graph for this function:

## Member Data Documentation

const PrimitiveRange::MAX = 'max'

Definition at line 18 of file PrimitiveRange.class.php.

const PrimitiveRange::MIN = 'min'

Definition at line 17 of file PrimitiveRange.class.php.

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveRange.class.php